Bug 1032738 - RHEL7 command control map outdated
RHEL7 command control map outdated
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pykickstart (Show other bugs)
7.0
All Linux
low Severity low
: rc
: ---
Assigned To: Martin Kolman
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 12:11 EST by Martin Kolman
Modified: 2014-06-17 20:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: pykickstart-1.99.43.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 09:02:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kolman 2013-11-20 12:11:41 EST
Description of problem:
The command control map for RHEL7 in Pykickstart is outdated.

Version-Release number of selected component (if applicable):


How reproducible:
always


Steps to Reproduce:
1. open pykickstart/handlers/control.py
2. search for the RHEL7 command control map

Actual results:
classes for the FireWall and VolGroup commands are older
that the classes used by RHEL7 Anaconda.


Expected results:
Classes for the FireWall and VolGroup commands are the same
that are used by RHEL7 Anaconda.


Additional info:
Comment 3 Michal Kovarik 2014-03-10 08:11:21 EDT
Verified on  pykickstart-1.99.43.10-1.el7. RHEL7 uses: "firewall": firewall.F20_Firewall and "volgroup": volgroup.F20_VolGroup.
Comment 4 Ludek Smid 2014-06-13 09:02:38 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.